repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.4.0
    hooks:
    - id: end-of-file-fixer
    - id: trailing-whitespace
    - id: check-json
  - repo: https://github.com/ambv/black
    rev: 20.8b1
    hooks:
      - id: black
        args: ['--line-length', '140']
  - repo: https://gitlab.com/pycqa/flake8.git
    rev: 3.8.4
    hooks:
      - id: flake8
        args: ['--max-line-length=140', '--ignore=E203,E402']
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.800
    hooks:
    -   id: mypy
